package com.example.hobbid.databasedemo;


import java.util.HashMap;
import java.util.Map;

public class DatabaseStore {


    /* The tables in the database */
    private static final int DATABASE_VERSION = 1;
    private static final String DATABASE_NAME = "databasedemo_restaurants.db";

    /* Name of the table */
    private static final String TABLE_NAME = "venues";

    /* Columns in the table */
    private static Map<String, String> m_columns = new HashMap<>();


    //THE LIST OF VARIABLES YOU WANT STORED IN THE DATABSE
    public static void genColumns(){

        m_columns.put("VENUE_NAME"                               ,       "_venueName"                            );
        m_columns.put("VENUE_TYPE"                               ,       "_venueType"                            );
        m_columns.put("MONFRI_OPENING_TIMES"                     ,       "_monfriOpeningTimes"                   );
        m_columns.put("SATSUN_OPENING_TIMES"                     ,       "_satsunOpeningTimes"                   );
        m_columns.put("HOW_EASY_IS_IT_TO_FIND"                   ,       "_howEasyIsItToFind"                    );
        m_columns.put("WHERE_IS_IT_LOCATED"                      ,       "_whereIsItLocated"                     );
        m_columns.put("HOW_WELL_IS_IT_SIGNPOSTED"                ,       "_howWellIsItSignposted"                );
        m_columns.put("IS_IT_NEAR_THE_COAST"                     ,       "_isItNearTheCoast"                     );
        m_columns.put("WHAT_ARE_THE_SEATING_OPTIONS"             ,       "_whatAreTheSeatingOptions"             );
        m_columns.put("DO_THEY_HAVE_THEIR_OWN_PARKING"           ,       "_doTheyHaveTheirOwnParking"            );
        m_columns.put("IS_THERE_ALTERNATIVE_PARKING_NEARBY"      ,       "_isThereAlternativeParkingNearby"      );
        m_columns.put("DO_THEY_ACCEPT_RESERVATIONS"              ,       "_doTheyAcceptReservations"             );
        m_columns.put("CAN_YOU_FIND_A_TABLE_BY_YOURSELF"         ,       "_canYouFindATableByYourself"           );
        m_columns.put("ARE_THE_STAFF_FREINDLY"                   ,       "_areTheStaffFreindly"                  );
        m_columns.put("ARE_THE_STAFF_HELPFUL"                    ,       "_areTheStaffHelpful"                   );
        m_columns.put("HOW_MUCH_CONTACT_IS_THERE_WITH_THE_STAFF" ,       "_howMuchContactIsThereWithTheStaff"    );
        m_columns.put("ARE_THE_STAFF_ACCOMMODATING"              ,       "_areTheStaffAccommodating"             );
        m_columns.put("HOW_DO_YOU_ORDER"                         ,       "_howDoYouOrder"                        );
        m_columns.put("DO_THEY_HAVE_A_GOOD_SELECTION_OF_FOOD"    ,       "_doTheyHaveAGoodSelectionOfFood"       );
        m_columns.put("DO_THEY_HAVE_DIETARY_OPTIONS"             ,       "_doTheyHaveDietaryOptions"             );
        m_columns.put("BATHROOM_DIRECTIONS"                      ,       "_bathroomDirections"                   );
        m_columns.put("HOW_DO_YOU_PAY"                           ,       "_howDoYouPay"                          );
        m_columns.put("HOW_IS_THE_SPACE"                         ,       "_howIsTheSpace"                        );
        m_columns.put("DO_YOU_HAVE_YOUR_OWN_SPACE"               ,       "_doYouHaveYourOwnSpace"                );
        m_columns.put("HOW_CLOSE_ARE_THE_TABLES"                 ,       "_howCloseAreTheTables"                 );
        m_columns.put("WHAT_IS_THE_LIGHTING_LIKE"                ,       "_whatIsTheLightingLike"                );
        m_columns.put("WHAT_IS_THE_NOISE_LIKE"                   ,       "_whatIsTheNoiseLike"                   );
        m_columns.put("IS_THERE_ANY_MUSIC"                       ,       "_isThereAnyMusic"                      );
        m_columns.put("WEBSITE"                                  ,       "_website"                              );

    }

    //THE LIST OF VARIABLES YOU WANT STORED IN THE DATABSE
    public static Map<String, String> genEntry(String[] str){

        Map<String, String> entry = new HashMap<>();

        entry.put("VENUE_NAME"                               ,       str[0]  );
        entry.put("VENUE_TYPE"                               ,       str[1]  );
        entry.put("MONFRI_OPENING_TIMES"                     ,       str[2]  );
        entry.put("SATSUN_OPENING_TIMES"                     ,       str[3]  );
        entry.put("HOW_EASY_IS_IT_TO_FIND"                   ,       str[4]  );
        entry.put("WHERE_IS_IT_LOCATED"                      ,       str[5]  );
        entry.put("HOW_WELL_IS_IT_SIGNPOSTED"                ,       str[6]  );
        entry.put("IS_IT_NEAR_THE_COAST"                     ,       str[7]  );
        entry.put("WHAT_ARE_THE_SEATING_OPTIONS"             ,       str[8]  );
        entry.put("DO_THEY_HAVE_THEIR_OWN_PARKING"           ,       str[9]  );
        entry.put("IS_THERE_ALTERNATIVE_PARKING_NEARBY"      ,       str[10] );
        entry.put("DO_THEY_ACCEPT_RESERVATIONS"              ,       str[11] );
        entry.put("CAN_YOU_FIND_A_TABLE_BY_YOURSELF"         ,       str[12] );
        entry.put("ARE_THE_STAFF_FREINDLY"                   ,       str[13] );
        entry.put("ARE_THE_STAFF_HELPFUL"                    ,       str[14] );
        entry.put("HOW_MUCH_CONTACT_IS_THERE_WITH_THE_STAFF" ,       str[15] );
        entry.put("ARE_THE_STAFF_ACCOMMODATING"              ,       str[16] );
        entry.put("HOW_DO_YOU_ORDER"                         ,       str[17] );
        entry.put("DO_THEY_HAVE_A_GOOD_SELECTION_OF_FOOD"    ,       str[18] );
        entry.put("DO_THEY_HAVE_DIETARY_OPTIONS"             ,       str[19] );
        entry.put("BATHROOM_DIRECTIONS"                      ,       str[20] );
        entry.put("HOW_DO_YOU_PAY"                           ,       str[21] );
        entry.put("HOW_IS_THE_SPACE"                         ,       str[22] );
        entry.put("DO_YOU_HAVE_YOUR_OWN_SPACE"               ,       str[23] );
        entry.put("HOW_CLOSE_ARE_THE_TABLES"                 ,       str[24] );
        entry.put("WHAT_IS_THE_LIGHTING_LIKE"                ,       str[25] );
        entry.put("WHAT_IS_THE_NOISE_LIKE"                   ,       str[26] );
        entry.put("IS_THERE_ANY_MUSIC"                       ,       str[27] );
        entry.put("WEBSITE"                                  ,       str[28] );

        return entry;

    }

    public static int getDatabaseVersion(){ return DATABASE_VERSION; }
    public static String getDatabaseName(){ return DATABASE_NAME; }
    public static String getTableName(){ return TABLE_NAME; }

    public static Map<String, String> getColumns(){

        genColumns();
        return m_columns;

    }




}
