package com.example.hobbid.databasedemo;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    private DatabaseManager m_db;   //Manager class for the database

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // Make a new handler class to manage getting data from the database
        m_db = new DatabaseManager(this, null, null, 1);
        m_db.populate();

        listLocations();

    }

    public void listLocations() {

        ListView lv = (ListView) findViewById(R.id.locationListView);
        ListAdapter la = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, m_db.genLocations());

        assert lv != null;
        lv.setChoiceMode(ListView.CHOICE_MODE_SINGLE);
        lv.setAdapter(la);

        // Tell the list view to run this function when clicked
        lv.setOnItemClickListener(new OnItemClickListener(){
            public void onItemClick(AdapterView<?> parent, View view, int position, long id){
                locationClicked(position);
            }
        });

    }

    public void locationClicked(int position) {

        ListView lv = (ListView) findViewById(R.id.locationListView);
        assert lv != null;
        String selectedListItemName = String.valueOf(lv.getItemAtPosition(position));
        Intent i = new Intent(getApplicationContext(), RestaurantActivity.class);
        i.putExtra("locationData", selectedListItemName);
        startActivity(i);

    }


}
