package com.example.hobbid.databasedemo;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;

public class RestaurantActivity extends AppCompatActivity {

    private DatabaseManager m_db;   //Manager class for the database
    private String passedLocation = "default";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_restaurant);

        m_db = new DatabaseManager(this, null, null, 1);
        Bundle extras = getIntent().getExtras();
        if (extras != null){
            passedLocation = extras.getString("locationData");
        }


        listRestaurants();

    }

    public void listRestaurants() {

        ListAdapter la = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, m_db.genRestaurants(passedLocation));
        ListView lv = (ListView) findViewById(R.id.restaurantListView);

        assert lv != null;
        lv.setChoiceMode(ListView.CHOICE_MODE_SINGLE);
        lv.setAdapter(la);

        // Tell the list view to run this function when clicked
        lv.setOnItemClickListener(new AdapterView.OnItemClickListener(){
            public void onItemClick(AdapterView<?> parent, View view, int position, long id){
                restaurantClicked(position);
            }
        });

    }

    public void restaurantClicked(int position) {

        ListView lv = (ListView) findViewById(R.id.restaurantListView);
        assert lv != null;
        String selectedListItemName = String.valueOf(lv.getItemAtPosition(position));
        Intent i = new Intent(getApplicationContext(), InfoActivity.class);
        i.putExtra("nameData", selectedListItemName);
        i.putExtra("locationData", passedLocation);
        startActivity(i);

    }
}
